#-*- coding: utf-8 -*-

#Copyright 2008 Calculate Pack, http://www.calculate-linux.ru
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

#Допустимые ключи значений
#   mode -     режим переменной r-не переназначается из командной строки,
#              w-переназначается из командной строки
#   type     - тип переменной состоит из двух элементов(что это и для чего
#              это)
#   value    - дефоултное значение переменной
#   select   - список допустимых значений переменной
#   official - флаг того, что данная переменная служебная и не отображается
#              при печати списка значений переменных
#   printval - печатное значение переменной(значение выводимое при печати
#              списка значений переменных)

class Data:

    #базовый суффикс LDAP
    #Vl soft_ldap_base
    ld_base_dn = {'value':'dc=calculate'}

    #bind суффикс LDAP
    #Vl soft_ldap_bind
    ld_bind_dn = {'value':'cn=proxyuser,dc=calculate'}

    #пароль для пользователя для чтения
    #Vl soft_ldap_bindpw
    ld_bind_pw = {'value':'calculate'}

    #путь к директории относительно которой происходит наложение профилей на
    #файлы системы
    #setup_path_install
    cl_root_path = {}

    ##список накладываемых профилей при установке, наложении профилей
    #setup_path_profinstall
    cl_profile_path = {}

    #Логин LDAP пользователя
    #V soft_ldap_user_login
    ur_name = {'mode':"w"}

    # Calculate плюс версия калкулэйта для записи в заголовок файла
    # объединяемого с профилем
    #setup_name
    cl_ver = {'value':'Calculate-client 0.0.1'}
